#                 #
# header/init.tcl #
###################

#############################################################################
#                                                                           #
# This is the initalisation file run first on every body part in the        #
# investigation pass. It checks for the header                              #
# 	Content-Conversion: Prohibited                                      #
# and sets tunnel mode if found. Check for BinHex and uuencode is also      #
# initiated.                                                                #
#                                                                           #
#############################################################################



if {[is_root]} {
	set CONTCONV [getheader "Content-Conversion"]
	if {[is_set CONTCONV]} {
		set CONTC [string toupper $CONTCONV]
		if {$CONTC == "PROHIBITED"} {
			dotunnel
			return
		}
	}
}
setcheck "uuencode"
setcheck "binhex"




